do not warn about no docs for rts-1.0 #1638

Closed
wants to merge 1 commit into
from

Projects

None yet

2 participants

@juhp
Collaborator
juhp commented Jan 2, 2014

Every time the haddock command is run Cabal outputs
an unhelpful warning:

Warning: The documentation for the following packages are not installed. No
links will be generated to these packages: rts-1.0

Excluding rts, which has no docs, will allow meaningful
warnings about missing docs only to be displayed.

@juhp juhp do not warn about no docs for rts-1.0
Every time the haddock command is run Cabal outputs
an unhelpful warning:

Warning: The documentation for the following packages are not installed. No
links will be generated to these packages: rts-1.0

Excluding rts, which has no docs, will allow meaningful
warnings about missing docs only to be displayed.
5f9f82b
@juhp
Collaborator
juhp commented Jan 2, 2014

Perhaps there is a prettier way of doing it but this change seems simply anyway.

@23Skidoo
Member
23Skidoo commented Jan 2, 2014

Odd, I thought that this was already fixed. Perhaps I'm thinking about a similar but slightly different issue.

@23Skidoo
Member
23Skidoo commented Jan 3, 2014

Yes, it looks like this was fixed in 4bfbe2d (more discussion in #1231). You're probably using an old version of Cabal (pre-1.18). Closing, please reopen if you disagree.

@23Skidoo 23Skidoo closed this Jan 3, 2014
@juhp
Collaborator
juhp commented Jan 3, 2014

Sorry my bad (doh I mistested). Thanks!

@juhp juhp deleted the juhp:patch-1 branch Jan 3, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment